#!/bin/bash

devices=$(adb devices | grep device$)
device=""

if [ "$1" = "-s" ]
then
device="$1 $2"
fi

if [ "$?" -ne "0" ]
then
  echo "adb not found, installing RowboPERF requires adb which is part of the android SDK. Make sure the Android SDK (available at http://developer.android.com/sdk/index.html) location is included in your PATH."
  exit
fi

install_bin() {
  for bin_file in $(ls ./$1_libs/armeabi/*)
  do
    adb $device push $bin_file /system/bin
    echo "$bin_file"
  done
}

install_apk() {
  for app in $(ls ./$1*.apk)
  do
    adb $device install -r $app
  done 
}

if [ "$#" -eq "0" ] || [ "$#" -eq "2" -a "$device" != "" ]
then 
  install_apk "*"
  install_bin "*"
else
  idx_start=0
  if [ "$device" != "" ]
  then
    shift
    shift
  fi
  for apk in $@ 
  do
    install_apk "$apk"
    install_bin "$apk" 2>/dev/null
  done
fi
